# Ogre::EventTarget Class Reference

This is an abstract class that is the base class of all consumers of InputEvent instances. More...

`#include <OgreEventTarget.h>`

Inheritance diagram for Ogre::EventTarget:

List of all members.

## Public Member Functions

virtual void | processEvent (InputEvent *e)=0
virtual | ~EventTarget ()

## Detailed Description

This is an abstract class that is the base class of all consumers of InputEvent instances.

Remarks:
  This class is part of the set of classes handling buffered input.

Definition at line 49 of file OgreEventTarget.h.

## Constructor & Destructor Documentation

virtual Ogre::EventTarget::~EventTarget | ( |  | ) | `[virtual]`

| Definition at line 53 of file OgreEventTarget.h.

## Member Function Documentation

virtual void Ogre::EventTarget::processEvent | ( | InputEvent * | e | ) | `[pure virtual]`

| Implemented in Ogre::Cursor, and Ogre::EventProcessor.

The documentation for this class was generated from the following file:

- OgreEventTarget.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:26 2006